edu.sc.seis.sod

## Class AbstractEventChannelPair

- java.lang.Object
- - edu.sc.seis.sod.WaveformWorkUnit
  - - edu.sc.seis.sod.AbstractEventPair
    - - edu.sc.seis.sod.CookieEventPair
      - - edu.sc.seis.sod.AbstractEventChannelPair

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    EventChannelPair, EventVectorPair

      public abstract class AbstractEventChannelPair
      extends CookieEventPair

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EventStationPair` | `esp`

    - ### Fields inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `dbid, failLogger, lastQuery, numRetries`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractEventChannelPair()`
    `` | `AbstractEventChannelPair(StatefulEvent event, EventStationPair esp)`
    `` | `AbstractEventChannelPair(StatefulEvent event, Status status, EventStationPair esp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CookieJar` | `getCookieJar()`
    `EventStationPair` | `getEsp()`
    `protected void` | `setEsp(EventStationPair esp)`
    `void` | `update(Status status)` sets the status on this event channel pair to be status and notifies its parent

    - ### Methods inherited from class edu.sc.seis.sod.CookieEventPair

      `getCookies, setCookies, setStatus`

    - ### Methods inherited from class edu.sc.seis.sod.AbstractEventPair

      `getEvent, getEventDbId, getStatus, setEvent, update`

    - ### Methods inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `equals, getDbid, getLastQuery, getNumRetries, hashCode, setDbid, setLastQuery, setNumRetries, updateRetries`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Runnable

      `run`

- - ### Field Detail

    - #### esp

          protected EventStationPair esp

  - ### Constructor Detail

    - #### AbstractEventChannelPair

          protected AbstractEventChannelPair()

    - #### AbstractEventChannelPair

          public AbstractEventChannelPair(StatefulEvent event,
                                          EventStationPair esp)

    - #### AbstractEventChannelPair

          public AbstractEventChannelPair(StatefulEvent event,
                                          Status status,
                                          EventStationPair esp)

  - ### Method Detail

    - #### update

          public void update(Status status)

      sets the status on this event channel pair to be status and notifies its parent
      Specified by:
        `update` in class `AbstractEventPair`

    - #### setEsp

          protected void setEsp(EventStationPair esp)

    - #### getEsp

          public EventStationPair getEsp()

    - #### getCookieJar

          public CookieJar getCookieJar()